commit: 9d09c47b4950b19725a3be5521d48e4a5a00770a
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 22 07:19:33 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Oct 22 08:31:52 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d09c47b
dev-python/d2to1: Version Bump
unbundle six
add python3.5 support
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/d2to1/Manifest | 1 +
dev-python/d2to1/d2to1-0.2.12_p1.ebuild | 41 +++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/d2to1/Manifest b/dev-python/d2to1/Manifest
index 72e6472..21edd07 100644
--- a/dev-python/d2to1/Manifest
+++ b/dev-python/d2to1/Manifest
@@ -1,2 +1,3 @@
DIST d2to1-0.2.11.tar.gz 25237 SHA256
64097a1b9270458898a0047034e9ba422a6456f51771105f33edb6b38e19bfa8 SHA512
46a8b8b154b77bbef7bfeeeba1d6752899fad1b4cac8a6df699d42c848dcccc51e16db6429d171efd829fd051215f58fd9a5ec2edb62a06cf75f00ec5faac4da
WHIRLPOOL
88d71211a96523002892f8aa03abfdfd33b6859480898d8f0b68af5f1386976aa5563fbb0e15dfe588dab37d216fa74c7d990cb9ea4b61b7f53a9b8f7f5b99fe
+DIST d2to1-0.2.12.post1.tar.gz 35973 SHA256
49ef2d16862b3efdc81fc5c32eac373b984945cde5fc02bb01a0a11ff03dd825 SHA512
89890afc78b21d78f42ef5c920d377cd58075829e025c512d86138d52943ce8b71d1245bf267f76f775c6a69bf81bf9881322bd64b0e75ae088134e6b66f4d2d
WHIRLPOOL
4470129450781e8fdb17bfecb4354f80215ae72216f3d903bb94099bcd361638bf38bc8e3d29f4ae1bae1b6c09daa8a09e870371469745fac424f7ad5e32e2bb
DIST d2to1-0.2.12.tar.gz 35901 SHA256
d75c431beb8ed9d75af35093a88218fd5fc38944ddbebff6234bea0228af43d3 SHA512
a437d3652a63267470488de677e9d9e9844265480a8693f8b0163db8e1801f123888a14b78b0efb99c88598601cda5af7cfba993bd053c0683ed9ea22e8342a6
WHIRLPOOL
d27067ce3e55ba7408c08717a4a7c13e2b0e1383a3529ea95b4faf8cab74aa787648192f51179ec3bb312c9159bc0bbc93ce2befeaa709e165550392ab07767e
diff --git a/dev-python/d2to1/d2to1-0.2.12_p1.ebuild
b/dev-python/d2to1/d2to1-0.2.12_p1.ebuild
new file mode 100644
index 0000000..62e738a
--- /dev/null
+++ b/dev-python/d2to1/d2to1-0.2.12_p1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
+inherit distutils-r1
+
+MY_P="${P/_p/.post}"
+
+DESCRIPTION="Allows using distutils2-like setup.cfg files for a package
metadata"
+HOMEPAGE="https://pypi.python.org/pypi/d2to1 https://github.com/embray/d2to1"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"/${MY_P}
+
+python_prepare_all() {
+ rm ${PN}/extern/six.py || die
+ cat > ${PN}/extern/__init__.py <<- EOF
+ import six
+ EOF
+ sed \
+ -e 's:.extern.six:six:g' \
+ -i ${PN}/*py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}